<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."enhanced_news_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."enhanced_news_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."enhanced_news_panel/locale/English.php";
}

if (!checkRights("AC")) fallback("../index.php");
if (isset($cat_id) && !isNum($cat_id)) fallback("index.php");

if (isset($action) && $action == "delete") {
	$result = dbquery("SELECT * FROM ".$db_prefix."news WHERE news_cat='$cat_id'");
	if (dbrows($result) != 0) {
		opentable($locale['ena430']);
		echo "<center><b>".$locale['ena431']."</b><br>\n<span class='small'>".$locale['ena432']."</span></center>\n";
	} else {
		$result = dbquery("DELETE FROM ".$db_prefix."news_cats WHERE news_cat_id='$cat_id'");
		opentable($locale['ena430']);
		echo "<center><b>".$locale['ena433']."</b></center>\n";
	}
	closetable();
	tablebreak();
}
if (isset($_POST['save_cat'])) {
	$cat_name = stripinput($_POST['cat_name']);
	$cat_image = stripinput($_POST['cat_image']);
	$main_cat = stripinput($_POST['main_cat']);
	if ($cat_name != "" && $cat_image != "") {
		if ($action == "edit") {
			$result = dbquery("UPDATE ".$db_prefix."news_cats SET news_cat_name='$cat_name', news_cat_image='$cat_image', news_cat_parent_id='$main_cat' WHERE news_cat_id='$cat_id'");
		} else {
			$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image, news_cat_parent_id) VALUES ('$cat_name', '$cat_image', '$main_cat')");
		}
	}
	redirect(FUSION_SELF);
}

if (isset($action) && $action == "edit") {
	$result = dbquery("SELECT * FROM ".$db_prefix."news_cats WHERE news_cat_id='$cat_id'");
	$data = dbarray($result);
	$cat_name = $data['news_cat_name'];
	$cat_image = $data['news_cat_image'];
	$main_cat = $data['news_cat_parent_id'];
	$formaction = FUSION_SELF."?action=edit&amp;cat_id=".$data['news_cat_id'];
	opentable($locale['ena434']);
} else {
	$cat_name = "";
	$cat_image = "";
	$main_cat = "";
	$formaction = FUSION_SELF;
	opentable($locale['ena435']);
}
$image_files = makefilelist(IMAGES_NC, ".|..|index.php", true);
$image_list = makefileopts($image_files,$cat_image);

$subcat_list = makelist_subs('news_cats', 'news_cat_id', 'news_cat_parent_id', 'news_cat_name', 'news_cat_name', 1, $main_cat);

echo "<form name='addcat' method='post' action='$formaction'>
<table align='center' cellpadding='0' cellspacing='0' width='400'>
<tr>
<td width='130' class='tbl'>".$locale['ena436']."</td>
<td class='tbl'><input type='text' name='cat_name' value='$cat_name' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td width='130' class='tbl'>".$locale['ena444']."</td>
<td class='tbl'><select name='main_cat' class='textbox' style='width:200px;'>
<option value='-1' >Main Cat</option>
$subcat_list</select></td>
</tr>
<tr>
<td width='130' class='tbl'>".$locale['ena437']."</td>
<td class='tbl'><select name='cat_image' class='textbox' style='width:200px;'>
$image_list</select></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'><input type='submit' name='save_cat' value='".$locale['ena438']."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();
tablebreak();
opentable($locale['ena440']);
$subcat_list = makelist_subs('news_cats', 'news_cat_id', 'news_cat_parent_id', 'news_cat_name', 'news_cat_name');
$rows = count($subcat_list);
if ($rows > 0) {
	echo "<table align='center' cellpadding='0' cellspacing='1' width='400'>";
	foreach ($subcat_list as $data){
		echo "<tr><td align='left' width='25%' class='tbl'>Title: <b>".$data['news_cat_name']."</b>&nbsp;&nbsp;&nbsp;&nbsp;Image: ".$data['news_cat_image'];
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href='".FUSION_SELF."?action=edit&amp;cat_id=".$data['news_cat_id']."'>".$locale['ena441']."</a> - <a href='".FUSION_SELF."?action=delete&amp;cat_id=".$data['news_cat_id']."'>".$locale['ena442']."</a></td></tr>";
	}
	echo "</table>";
} else {
	echo "<center><br>\n".$locale['ena443']."<br><br>\n</center>\n";
}
echo "<center><br>\n<a href='".ADMIN."images.php?ifolder=imagesnc'>".$locale['ena439']."</a><br><br>\n</center>\n";
closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>