<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."enhanced_news_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."enhanced_news_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."enhanced_news_panel/locale/English.php";
}

opentable($locale['enn100']);
echo "<center><a href='".INFUSIONS."enhanced_news_panel/news_admin.php'>".$locale['enn408']."</a><br><br><a href='".INFUSIONS."enhanced_news_panel/news_cats_admin.php'>".$locale['enn409']."</a></center>";
closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>