<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."enhanced_news_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."enhanced_news_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."enhanced_news_panel/locale/English.php";
}
if (isset($readmore) && !isNum($readmore)) fallback(FUSION_SELF);

if (!isset($readmore)) {

	$result = dbquery("SELECT tn.*, user_id, user_name FROM ".$db_prefix."news tn
		LEFT JOIN ".$db_prefix."users tu ON tn.news_name=tu.user_id
		WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")
		ORDER BY news_datestamp DESC LIMIT 0,10"
		);
		
	while ($data = dbarray($result)) {
		$news_news = $data['news_breaks'] == "y" ? nl2br(stripslashes($data['news_news'])) : stripslashes($data['news_news']);
		if ($data['news_cat'] != 0) {
			$result2 = dbquery("SELECT * FROM ".$db_prefix."news_cats WHERE news_cat_id='".$data['news_cat']."'");
			if (dbrows($result2)) {
				$data2 = dbarray($result2);
				$news_cat_image = "<a href='".INFUSIONS."enhanced_news_panel/news_cats.php?cat_id=".$data2['news_cat_id']."'><img src='".IMAGES_NC.$data2['news_cat_image']."' alt='".$data2['news_cat_name']."' align='left' style='border:0px;margin-top:3px;margin-right:5px'></a>";
			} else {
				$news_cat_image = "";
			}
		}
		if ($news_cat_image != "") $news_news = $news_cat_image.$news_news;
		$news_extended = $data['news_extended'] || $data['news_allow_comments'] ? "<a href='".FUSION_SELF."?readmore=".$data['news_id']."'>".$locale['enn042']."</a> &middot;\n" : "";
		$news_reads = $data['news_reads'].$locale['enn044']." &middot;\n";
		opentable($data['news_subject']);
		echo "<table><tr>";
		echo "<td>".$news_news."</td></tr></table>";
		echo "<span class='small2'><table width='100%'><tr><td align='left'><img src='".THEME."images/bullet.gif' alt=''> ".$locale['enn040']."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a> ".$locale['enn041'].showdate("longdate", $data['news_datestamp'])."</td><td align='right'>";
		echo $news_extended.$news_reads." <a href='".BASEDIR."print.php?type=N&amp;item_id=".$data['news_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['enn045']."' style='border:0px;vertical-align:middle;'></a>\n";
		echo "</td></tr></table></span>";
		closetable();
	}
} else {
	include INCLUDES."comments_include.php";
	include INCLUDES."ratings_include.php";
	$result = dbquery("SELECT tn.*, user_id, user_name FROM ".$db_prefix."news tn
		LEFT JOIN ".$db_prefix."users tu ON tn.news_name=tu.user_id
		WHERE ".groupaccess('news_visibility')." AND news_id='$readmore'"
	);
	if (dbrows($result)!=0) {
		$data = dbarray($result);
		if (checkgroup($data['news_visibility'])) {
			$crumbs = bread_crumbs('news_cats', 'news_cat_name', 'news_cat_id', 'news_cat_parent_id', $data['news_cat'], INFUSIONS."enhanced_news_panel/news_cats.php");
			$news_cat_image = "";
			if (!isset($_POST['post_comment']) && !isset($_POST['post_rating'])) {
				 $result2 = dbquery("UPDATE ".$db_prefix."news SET news_reads=news_reads+1 WHERE news_id='$readmore'");
				 $data['news_reads']++;
			}
			$news_subject = $data['news_subject'];
			if ($data['news_cat'] != 0) {
				$result2 = dbquery("SELECT * FROM ".$db_prefix."news_cats WHERE news_cat_id='".$data['news_cat']."'");
				if (dbrows($result2)) {
					$data2 = dbarray($result2);
					$news_cat_image = "<a href='".INFUSIONS."enhanced_news_panel/news_cats.php?cat_id=".$data2['news_cat_id']."'><img src='".IMAGES_NC.$data2['news_cat_image']."' alt='".$data2['news_cat_name']."' align='left' style='border:0px;margin-top:3px;margin-right:5px'></a>";
				}
			}
			$news_news = $data['news_news']."<br>\n".$data['news_extended'];
			$news_news = stripslashes($news_news);
			if ($data['news_breaks'] == "y") { $news_news = nl2br($news_news); }
			if ($news_cat_image != "") $news_news = $news_cat_image.$news_news;
			$news_comments_count = dbcount("(comment_id)", "comments", "comment_type='N' AND comment_item_id='".$data['news_id']."'");
			$news_comments = $data['news_allow_comments'] ? "<a href='".FUSION_SELF."?readmore=".$data['news_id']."'>".$news_comments_count.$data['news_comments'].$locale['enn043']."</a> &middot;\n" : "";
			$news_reads = $data['news_reads'].$locale['enn044']." &middot;\n";
			opentable($locale['enn410']);
			echo "<a href='".INFUSIONS."enhanced_news_panel/news_cats.php'>".$locale['enn400']."</a>".$crumbs;
			closetable();
			opentable($data['news_subject']);
			echo "<table><tr>";
			echo "<td>".$news_news."</td></tr></table>";
			echo "<span class='small2'><table width='100%'><tr><td align='left'><img src='".THEME."images/bullet.gif' alt=''> ".$locale['enn040']."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a> ".$locale['enn041'].showdate("longdate", $data['news_datestamp'])."</td><td align='right'>";
			echo $news_reads.$news_comments."<a href='".BASEDIR."print.php?type=N&amp;item_id=".$data['news_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['enn045']."' style='border:0px;vertical-align:middle;'></a>\n";
			echo "</td></tr></table></span>";
			closetable();
			if ($data['news_allow_comments']) showcomments("N","news","news_id",$readmore,FUSION_SELF."?readmore=$readmore");
			if ($data['news_allow_ratings']) showratings("N",$readmore,FUSION_SELF."?readmore=$readmore");
		} else {
			redirect(FUSION_SELF);
		}
	} else {
		redirect(FUSION_SELF);
	}
}

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>