<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."enhanced_news_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."enhanced_news_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."enhanced_news_panel/locale/English.php";
}

if (isset($cat_id) && !isNum($cat_id)) fallback(FUSION_SELF);


if (isset($cat_id)) {
	$res = 1;
	$result = dbquery("SELECT * FROM ".$db_prefix."news_cats WHERE news_cat_id='$cat_id'");
	if (dbrows($result) || $cat_id == 0) {
		
		$data = dbarray($result);
		$crumbs = bread_crumbs('news_cats', 'news_cat_name', 'news_cat_id', 'news_cat_parent_id', $cat_id, FUSION_SELF);
		$rows = dbcount("(news_id)", "news", "news_cat='$cat_id' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")");
			$res = 1;
			opentable($locale['enn410']);
			echo "<a href='".FUSION_SELF."'>".$locale['enn400']."</a>".$crumbs;
			closetable();
			opentable($locale['enn100']);
			echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";
			if ($cat_id != 0) {
				echo "<tr>\n<td width='100' class='tbl1' style='vertical-align:top'><img src='".IMAGES_NC.$data['news_cat_image']."'><br><br>\n";
				echo "<b>".$locale['enn401']."</b> ".$data['news_cat_name']."<br>\n<b>".$locale['enn402']."</b> $rows</td>\n";
				echo "<td class='tbl1' style='vertical-align:top'>\n";
			} else {
				echo "</td>\n</tr>\n<tr>\n<td width='100%' class='tbl1' style='vertical-align:top'>Non-Categorised News<br>\n";
				echo "<b>".$locale['enn401']."</b> $rows</td>\n<td class='tbl1' style='vertical-align:top'>\n";
			}
			$sub_cat_results = dbquery("SELECT * FROM ".$db_prefix."news_cats WHERE news_cat_parent_id='$cat_id' ORDER BY news_cat_id");
			if (dbrows($sub_cat_results)) {
				echo "Related Categories:<br>";
				while ($data_sub_cats = dbarray($sub_cat_results)) {
					$subrows = dbcount("(news_id)", "news", "news_cat='".$data_sub_cats['news_cat_id']."' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")");
						echo "<a href='".FUSION_SELF."?cat_id=".$data_sub_cats['news_cat_id']."'>".$data_sub_cats['news_cat_name']." ($subrows)&nbsp;&nbsp;&nbsp;</a><br>";
				}
				echo "<br><br>Section Articles:<br>";
			}
			$result2 = dbquery("SELECT * FROM ".$db_prefix."news WHERE news_cat='$cat_id' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") ORDER BY news_datestamp DESC");
			while ($data2 = dbarray($result2)) {
				echo "<img src='".THEME."images/bullet.gif' alt=''> <a href='".INFUSIONS."enhanced_news_panel/news.php?readmore=".$data2['news_id']."'>".$data2['news_subject']."</a><br>\n";
			}
			echo "</td>\n</tr>\n<tr>\n<td colspan='2' class='tbl1' style='text-align:center'><img src='".THEME."images/bullet.gif' alt=''> <a href='".FUSION_SELF."'>".$locale['enn406']."</a> <img src='".THEME."images/bulletb.gif' alt=''><br>";
			echo "</td>\n</tr>\n</table>\n";
			closetable();
	}
	if (!$res) redirect(FUSION_SELF);
} else {
	opentable($locale['enn400']);
	$res = 0;
	$result = dbquery("SELECT * FROM ".$db_prefix."news_cats WHERE news_cat_parent_id = '-1' ORDER BY news_cat_id");
	if (dbrows($result)) {
		echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";
		while ($data = dbarray($result)) {
			$rows = dbcount("(news_id)", "news", "news_cat='".$data['news_cat_id']."' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")");
			
			echo "<tr>\n<td width='100' class='tbl1' style='vertical-align:top'><a href='".INFUSIONS."enhanced_news_panel/news_cats.php?cat_id=".$data['news_cat_id']."'><img src='".IMAGES_NC.$data['news_cat_image']."' alt='".$data['news_cat_name']."'></a><br><br>\n";
			echo "<b>".$locale['enn401']."</b> ".$data['news_cat_name']."<br>\n<b>".$locale['enn402']."</b> $rows</td>\n";
			echo "<td class='tbl1' style='vertical-align:top'>\n";

			$sub_cat_results = dbquery("SELECT * FROM ".$db_prefix."news_cats WHERE news_cat_parent_id='".$data['news_cat_id']."' ORDER BY news_cat_id");
			if (dbrows($sub_cat_results)) {
				echo "Related Categories:<br>";
				$subrows = dbcount("(news_id)", "news", "news_cat='".$data_sub_cats['news_cat_id']."' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")");
				while ($data_sub_cats = dbarray($sub_cat_results)) {
					$subrows = dbcount("(news_id)", "news", "news_cat='".$data_sub_cats['news_cat_id']."' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")");
						echo "<a href='".FUSION_SELF."?cat_id=".$data_sub_cats['news_cat_id']."'>".$data_sub_cats['news_cat_name']." ($subrows)&nbsp;&nbsp;&nbsp;</a><br>";
				}
				echo "<br><br>Section Articles:<br>";
			}
			if ($rows) {
				$result2 = dbquery("SELECT * FROM ".$db_prefix."news WHERE news_cat='".$data['news_cat_id']."' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") ORDER BY news_datestamp DESC LIMIT 50");
				while ($data2 = dbarray($result2)) {
					echo "<img src='".THEME."images/bullet.gif' alt=''> <a href='".INFUSIONS."enhanced_news_panel/news.php?readmore=".$data2['news_id']."'>".$data2['news_subject']."</a><br>\n";
				}
				if ($rows > 50) echo "<div style='text-align:right'><img src='".THEME."images/bullet.gif' alt=''> <a href='".FUSION_SELF."?cat_id=".$data['news_cat_id']."'>".$locale['enn405']."</a></div>\n";
			} else {
				echo "<img src='".THEME."images/bullet.gif' alt=''> ".$locale['enn404']."<br>\n";
			}
		}
		$res = 1;
	}
	$result = dbquery("SELECT * FROM ".$db_prefix."news WHERE news_cat='0' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") ORDER BY news_datestamp DESC LIMIT 50");
	if (dbrows($result)) {
		if ($res == 0) echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";
		$nrows = dbcount("(news_id)", "news", "news_cat='0' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().")");
		echo "</td>\n</tr>\n<tr>\n<td width='100%' class='tbl1' style='vertical-align:top'><a href='".FUSION_SELF."?cat_id=0'>".$locale['enn403']."</a><br>\n";
		echo "<b>".$locale['enn402']."</b> $nrows</td>\n<td class='tbl1' style='vertical-align:top'>\n";
		while ($data = dbarray($result)) {
			echo "<img src='".THEME."images/bullet.gif' alt=''> <a href='".INFUSIONS."enhanced_news_panel/news.php?readmore=".$data['news_id']."'>".$data['news_subject']."</a>\n";
		}
		$res = 1;
		if ($nrows > 50) echo "<div style='text-align:right'><img src='".THEME."images/bullet.gif' alt=''> <a href='".FUSION_SELF."?cat_id=0'>".$locale['enn405']."</a></div>\n";
	}
	if ($res == 1) {
		echo "</td>\n</tr>\n</table>\n";
	} else {
		echo "<center><br>\n".$locale['enn407']."<br><br>\n</center>\n";
	}
	closetable();
}


require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>